### Method

# Gtk Label set_attributes

#### Declaration [src]

    void
    gtk_label_set_attributes (
      GtkLabel* self,
      PangoAttrList* attrs
    )

#### Description [src]

Apply attributes to the label text.

The attributes set with this function will be applied and merged with any other attributes previously effected by way of the `GtkLabel:use-underline` or `GtkLabel:use-markup` properties

While it is not recommended to mix markup strings with manually set attributes, if you must; know that the attributes will be applied to the label after the markup string is parsed.

Sets property | `Gtk.Label:attributes`

#### Parameters

`attrs`

  Type: `PangoAttrList`

  A list of style attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the method.